package com.google.android.play.core.assetpacks;

import com.bytedance.covode.number.Covode;
import java.util.Objects;

public final class ah extends AssetPackState {
    public final String LIZ;
    public final int LIZIZ;
    public final int LIZJ;
    public final long LIZLLL;
    public final long LJ;
    public final int LJFF;
    public final int LJI;

    static {
        Covode.recordClassIndex(44114);
    }

    public ah(String str, int i, int i2, long j, long j2, int i3, int i4) {
        Objects.requireNonNull(str, "Null name");
        this.LIZ = str;
        this.LIZIZ = i;
        this.LIZJ = i2;
        this.LIZLLL = j;
        this.LJ = j2;
        this.LJFF = i3;
        this.LJI = i4;
    }

    public final String LIZ() {
        return this.LIZ;
    }

    public final int LIZIZ() {
        return this.LIZIZ;
    }

    public final int LIZJ() {
        return this.LIZJ;
    }

    public final long LIZLLL() {
        return this.LIZLLL;
    }

    public final long LJ() {
        return this.LJ;
    }

    public final int LJFF() {
        return this.LJFF;
    }

    public final int LJI() {
        return this.LJI;
    }

    public final boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof AssetPackState) {
            AssetPackState assetPackState = (AssetPackState) obj;
            return this.LIZ.equals(assetPackState.LIZ()) && this.LIZIZ == assetPackState.LIZIZ() && this.LIZJ == assetPackState.LIZJ() && this.LIZLLL == assetPackState.LIZLLL() && this.LJ == assetPackState.LJ() && this.LJFF == assetPackState.LJFF() && this.LJI == assetPackState.LJI();
        }
    }

    public final int hashCode() {
        int hashCode = this.LIZ.hashCode();
        int i = this.LIZIZ;
        int i2 = this.LIZJ;
        long j = this.LIZLLL;
        long j2 = this.LJ;
        return ((((((((((((hashCode ^ 1000003) * 1000003) ^ i) * 1000003) ^ i2) * 1000003) ^ ((int) ((j >>> 32) ^ j))) * 1000003) ^ ((int) ((j2 >>> 32) ^ j2))) * 1000003) ^ this.LJFF) * 1000003) ^ this.LJI;
    }

    public final String toString() {
        String str = this.LIZ;
        int i = this.LIZIZ;
        int i2 = this.LIZJ;
        long j = this.LIZLLL;
        long j2 = this.LJ;
        int i3 = this.LJFF;
        int i4 = this.LJI;
        StringBuilder sb = new StringBuilder(str.length() + 217);
        sb.append("AssetPackState{name=");
        sb.append(str);
        sb.append(", status=");
        sb.append(i);
        sb.append(", errorCode=");
        sb.append(i2);
        sb.append(", bytesDownloaded=");
        sb.append(j);
        sb.append(", totalBytesToDownload=");
        sb.append(j2);
        sb.append(", transferProgressPercentage=");
        sb.append(i3);
        sb.append(", updateAvailability=");
        sb.append(i4);
        sb.append("}");
        return sb.toString();
    }
}
